Package org.springframework.expression.spel

# Class SpelParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.expression.ExpressionException
org.springframework.expression.ParseException
org.springframework.expression.spel.SpelParseException

All Implemented Interfaces:
  `Serializable`

public class SpelParseException extends ParseException
Root exception for Spring EL related exceptions. Rather than holding a hard coded string indicating the problem, it records a message key and the inserts for the message. See `SpelMessage` for the list of all possible messages that can occur.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.expression.ExpressionException

`expressionString, position`

## Constructor Summary

Constructors
Constructor
Description
`SpelParseException(int position, Throwable cause, SpelMessage message, Object... inserts)`
`SpelParseException(int position, SpelMessage message, Object... inserts)`
`SpelParseException(String expressionString, int position, SpelMessage message, Object... inserts)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getInserts()`
Return the message inserts.
`SpelMessage`
`getMessageCode()`
Return the message code.

### Methods inherited from class org.springframework.expression.ExpressionException

`getExpressionString, getMessage, getPosition, getSimpleMessage, toDetailedString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpelParseException

public SpelParseException(@Nullable String expressionString, int position, SpelMessage message, Object... inserts)

### SpelParseException

public SpelParseException(int position, SpelMessage message, Object... inserts)

### SpelParseException

public SpelParseException(int position, Throwable cause, SpelMessage message, Object... inserts)

## Method Details

### getMessageCode

public SpelMessage getMessageCode()
Return the message code.

### getInserts

public Object[] getInserts()
Return the message inserts.